#pragma once

#include "DialogInfo.h"
#include "DialogSysParaSet.h"
#include "afxwin.h"

// CDialogSysSet 对话框

class CDialogSysSet : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogSysSet)

public:
	CDialogSysSet(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogSysSet();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
// 对话框数据
	enum { IDD = IDD_DIALOG_SYS_SET };

protected:
	static CString m_csUserPass;
	static CString m_csMFRPass;
	static CString m_csDemoPass;
	INT m_i32UserPassOK, m_i32MFRPassOK, m_i32DemoPassOK;
	INT Check_User_Pass(CString & cs);
	INT Check_MFR_Pass(CString & cs);
	INT Check_Demo_Pass(CString & cs);
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CDialogInfo m_CDialogInfo;
	CDialogSysParaSet m_CDialogSysParaSet;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonSysSetUser();
	afx_msg void OnBnClickedButtonSysSetMfr();
	afx_msg void OnBnClickedButtonSysSetDemo();
	afx_msg void OnBnClickedButtonSysSetPara();
	afx_msg void OnBnClickedButtonSysSetInfo();
	CEdit m_CEditUser;
	CEdit m_CEditMFR;
	CEdit m_CEditDemo;
};
